Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Interface PdfPageElement

    interface PdfPageElement

The `PdfPageElement` interface has to be implemented by `PdfPage` and `PdfPages`.

See Also:
  `PdfPage`, `PdfPages`

Method Summary
`boolean` | `isParent()` Checks if this page element is a tree of pages.
`void` | `setParent(PdfIndirectReference reference)` Set the value for the Parent key in the Page or Pages Dictionary.

Method Detail

### setParent

    void setParent(PdfIndirectReference reference)

  Set the value for the Parent key in the Page or Pages Dictionary.

  Parameters:
    `reference` - an indirect reference to a `PdfPages`-object

### isParent

    boolean isParent()

  Checks if this page element is a tree of pages.

  Returns:
    `true` if it's a tree of pages; `false` if it's a single page

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD